%define name	libbtctl
%define version 0.6.0
%define release %mkrel 4

%define major	2
%define libname %mklibname btctl %{major}

Name: 	 	%{name}
Summary: 	GNOME bluetooth control library
Version: 	%{version}
Release: 	%{release}

Source0:	http://ftp.gnome.org/pub/GNOME/sources/libbtctl/%{name}-%{version}.tar.bz2
#gw fix for new libopenobex detection
Patch: libbtctl-0.6.0-new-openobex.patch.bz2
URL:		http://usefulinc.com/software/gnome-bluetooth/
License:	GPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	autoconf2.5 >= 2.54
BuildRequires:	libgnomeui2-devel libGConf2-devel
BuildRequires:	bluez-devel gtk-doc perl-XML-Parser
BuildRequires:	automake1.8 intltool
BuildRequires:	pygtk2.0-devel
BuildRequires:	openobex-devel >= 1.1

%description
Current features include:
    * Bonobo component to manage the discovery of nearby Bluetooth devices
    * Component will create serial (RFCOMM) connections for clients to devices
    * libbtcl, a GObject wrapper for Bluetooth functionality

Features planned in the near future include:
    * Control-center prefs application to give users overall control over
      devices

%package -n %libname
Group:		System/Libraries
Summary: 	GNOME bluetooth control library
Requires:	bluez-utils
Provides:   %name = %version-%release

%description -n %libname
Current features include:
    * Bonobo component to manage the discovery of nearby Bluetooth devices
    * Component will create serial (RFCOMM) connections for clients to devices
    * libbtcl, a GObject wrapper for Bluetooth functionality

Features planned in the near future include:
    * Control-center prefs application to give users overall control over
      devices

%package -n %libname-devel
Group:		Development/C
Summary:	Static libraries and header files from %name
Provides:	%name-devel = %version-%{release}
Requires:	%libname = %version

%description -n %libname-devel
Static libraries and header files from %name

%package -n python-%name
Group: Development/Python
Summary: Bluetooth Python bindings
Conflicts: %name < 0.5.0-2mdk
%description -n python-%name
This is the python wrapper for %name.

%prep
%setup -q
%patch -p1 -b .openobex
aclocal-1.8
autoconf
automake-1.8

%build
%configure2_5x --enable-shared --disable-mono
# parallel build fails
make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name
%if %_lib != lib
mkdir -p %buildroot%{py_platsitedir}/
mv %buildroot%{py_puresitedir}/* %buildroot%{py_platsitedir}/
%endif
rm -f %buildroot%{py_platsitedir}/*a

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %libname -f %name.lang
%defattr(-,root,root)
%{_libdir}/libbtctl.so.%{major}*

%files -n python-%name
%defattr(-,root,root)
%{py_platsitedir}/btctl.so


%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%doc %{_datadir}/gtk-doc/html/%name
%{_includedir}/%name
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.a

%{_libdir}/pkgconfig/%name.pc

%changelog
* Fri Jun 16 2006 Austin Acton <austin@mandriva.org> 0.6.0-1mdv2007.0
- Rebuild

* Sun Mar 26 2006 Götz Waschk <waschk@mandriva.org> 0.6.0-3mdk
- rebuild for new openobex

* Fri Feb 10 2006 Götz Waschk <waschk@mandriva.org> 0.6.0-2mdk
- fix python installation
- Rebuild
- use mkrel

* Thu Nov 24 2005 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdk
- New release 0.6.0

* Wed Aug 17 2005 Götz Waschk <waschk@mandriva.org> 0.5.0-2mdk
- split out the python binding

* Wed Aug 17 2005 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdk
- major 2
- drop patch 0
- new version

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.4.1-7mdk
- Rebuild for new python

* Mon Oct 18 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.1-6mdk
- lib64 fixes

* Wed Sep 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-5mdk
- Rebuild for new libbluetooth location

* Mon Sep 13 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.4.1-4mdk
- add BuildRequires: perl-XML-Parser openobex-devel pygtk2.0-devel

* Wed Jul 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-3mdk
- Patch0 (CVS): fix wrong ABI in obex object, causing crash in gnome-obex-server

* Sat Jun 19 2004 Austin Acton <austin@mandrake.org> 0.4.1-2mdk
- move python .so to lib package (bad idea, but works)

* Fri Jun 18 2004 Austin Acton <austin@mandrake.org> 0.4.1-1mdk
- 0.4.1

* Tue Jun 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-2mdk
- fix libification

* Thu Jun 10 2004 Austin Acton <austin@mandrake.org> 0.4-1mdk
- 0.4, major 1
- fix buildrequires
- configure 2.5
- disable mono bindings
- add languages macro
- add python libraries (split later?)

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 0.3-2mdk
- DIRM

* Mon Mar 31 2003 Austin Acton <aacton@yorku.ca> 0.3-1mdk
- initial package
